Bug 1356565 - Support admin CLI cmd to isolate projects
Summary: Support admin CLI cmd to isolate projects
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.2.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Ravi Sankar
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-14 11:45 UTC by Jaspreet Kaur
Modified: 2019-11-14 08:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 09:40:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Description Jaspreet Kaur 2016-07-14 11:45:40 UTC
>3. What is the nature and description of the request?  
Well it's a good thing to be able to join pod/project network together but for some reasons like restructuration, changes, mistakes, ... we want to be able to unjoin two pod/project networks.
For example if we have project p1 and p2 linked we want to be possible to unlink these two projects.
      
>4. Why does the customer need this? (List the business requirements here)  
     - project restructurations 
     - project changes
     - project mistakes

>5. How would the customer like to achieve this? (List the functional requirements here)
- unjoin two projects with a command like: oadm pod-network unjoin p1 p2

Comment 2 Jaspreet Kaur 2016-07-14 11:49:37 UTC
There is an existing trello card for this : 

https://trello.com/c/RrVYvOJj/30-3-support-admin-cli-cmd-to-isolate-projects-sdn-functionality

Comment 6 Ravi Sankar 2016-08-17 21:55:04 UTC
Fixed in https://github.com/openshift/origin/pull/10365

Comment 9 errata-xmlrpc 2016-09-27 09:40:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1933


Note You need to log in before you can comment on or make changes to this bug.